## python-glance-store 0.20.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.17.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0

=== debian/changelog ===
python-glance-store (0.20.0-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Jan 2017 11:03:11 +0000

python-glance-store (0.20.0-0ubuntu2) zesty; urgency=medium

  * debian/glance-common.install: Fix rootwrap install. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 05:20:19 -0500

python-glance-store (0.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-git-sphinx.patch: Dropped. Fixed upstream.
  * d/p/drop-enum34.patch: Rebased.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:15:32 -0500

python-glance-store (0.18.0-0ubuntu3) zesty; urgency=medium

  * d/gbp.conf: Update default config.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Nov 2016 08:09:18 -0400

python-glance-store (0.18.0-0ubuntu2) zesty; urgency=medium

  [ Corey Bryant ]
  * d/control: Add run-time dependency for python-swiftclient (LP: #1604397).
  * d/p/drop-enum34.patch: Fix python3 test failures.

  [ Thomas Goirand ]
  * Fixed enum34 runtime depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Nov 2016 15:20:09 -0400

python-glance-store (0.18.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/glance-store-common.*,control,glance_sudoers: Add binary package for
    shared rootwrap configuration, associated filters and sudoers.d
    configuration (LP: #1609733).

  [ Corey Bryant ]
  * New upstream release.
  * .gitreview: Copy from orig tar ball.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-git-sphinx.patch: Rebased.
  * glance_store/tests/unit/test_swift_store.py: Copied from orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 13:08:17 -0400

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-boto (>= 2.32.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-debtcollector,
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gridfs,
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.17.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.vmware (>= 0.14.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pymongo,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-boto (>= 2.32.1),
                     python3-cinderclient (>= 1:1.3.1),
                     python3-debtcollector,
                     python3 (>= 3.5) | python3-enum34,
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-gridfs,
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneauth1 (>= 2.17.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-os-brick (>= 1.0.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslo.vmware (>= 0.14.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pymongo,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends: ${misc:Depends}
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store
Architecture: all
Depends: python-debtcollector,
         python-enum34,
         python-eventlet (>= 0.18.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.17.0),
         python-keystoneclient (>= 1:3.8.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-swiftclient,
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Service store library - Python 2.7
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.7 module for the Glance's stores.

Package: python3-glance-store
Architecture: all
Depends: python3-debtcollector,
         python3 (>= 3.5) | python3-enum34,
         python3-eventlet (>= 0.18.2),
         python3-jsonschema (>= 2.0.0),
         python3-keystoneauth1 (>= 2.17.0),
         python3-keystoneclient (>= 1:3.8.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-swiftclient,
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

## python-glance-store 0.22.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
six>=1.9.0 # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-glance-store (0.22.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 16:31:13 -0400

python-glance-store (0.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-enum34.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Aug 2017 11:54:15 -0400

=== debian/control ===
--- 
+++ 
@@ -23,26 +23,26 @@
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-gridfs,
-                     python-hacking (>= 0.10.0),
+                     python-hacking (>= 0.12.0),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.17.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-brick (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.vmware (>= 0.14.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pymongo,
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.17.1),
+                     python-stevedore (>= 1.20.0),
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -54,23 +54,24 @@
                      python3-fixtures (>= 3.0.0),
                      python3-gridfs,
                      python3-jsonschema (>= 2.0.0),
-                     python3-keystoneauth1 (>= 2.17.0),
+                     python3-keystoneauth1 (>= 3.1.0),
                      python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
+                     python3-openstackdocstheme (>= 1.16.0),
                      python3-os-brick (>= 1.0.0),
                      python3-os-testr (>= 0.8.0),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.config (>= 1:4.0.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslo.vmware (>= 0.14.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-pymongo,
-                     python3-requests (>= 2.10.0),
+                     python3-requests (>= 2.14.2),
                      python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.17.1),
+                     python3-stevedore (>= 1.20.0),
                      python3-subunit,
                      python3-swiftclient,
                      python3-testscenarios,
@@ -99,16 +100,16 @@
          python-enum34,
          python-eventlet (>= 0.18.2),
          python-jsonschema (>= 2.0.0),
-         python-keystoneauth1 (>= 2.17.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystoneclient (>= 1:3.8.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:4.0.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
-         python-requests (>= 2.10.0),
+         python-oslo.utils (>= 3.20.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-swiftclient,
          glance-store-common (= ${binary:Version}),
          ${misc:Depends},
@@ -127,16 +128,16 @@
          python3 (>= 3.5) | python3-enum34,
          python3-eventlet (>= 0.18.2),
          python3-jsonschema (>= 2.0.0),
-         python3-keystoneauth1 (>= 2.17.0),
+         python3-keystoneauth1 (>= 3.1.0),
          python3-keystoneclient (>= 1:3.8.0),
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 1:4.0.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-requests (>= 2.10.0),
+         python3-oslo.utils (>= 3.20.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.17.1),
+         python3-stevedore (>= 1.20.0),
          python3-swiftclient,
          glance-store-common (= ${binary:Version}),
          ${misc:Depends},

## python-glance-store 0.23.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
six>=1.10.0 # MIT

jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-glance-store (0.23.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/drop-enum34.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 11:57:34 -0500

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-boto (>= 2.32.1),
 python-cinderclient (>= 1:1.3.1),
 python-coverage (>= 4.0),
 python-debtcollector,
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-gridfs,
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-brick (>= 1.0.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 0.14.0),
 python-oslotest (>= 1:3.2.0),
 python-pymongo,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-swiftclient,
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3 (>= 3.5) | python3-enum34,
 python3-boto (>= 2.32.1),
 python3-cinderclient (>= 1:1.3.1),
 python3-coverage (>= 4.0),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-brick (>= 1.0.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 0.14.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python-debtcollector,
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Image Service store library - Python 2.7
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.7 module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3 (>= 3.5) | python3-enum34,
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-glance-store; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-glance-store; \
	done
	rm -rf $(CURDIR)/debian/python*-glance-store/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-glance-store/usr/bin/glance-rootwrap $(CURDIR)/debian/python-glance-store/usr/bin/python2-glance-rootwrap
	mv $(CURDIR)/debian/python3-glance-store/usr/bin/glance-rootwrap $(CURDIR)/debian/python3-glance-store/usr/bin/python3-glance-rootwrap
	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-glance-store 0.26.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
doc8>=0.6.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
six>=1.10.0 # MIT

jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-glance-store (0.26.1-4) unstable; urgency=medium

  * Update patch (already merged into master)

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 22 Feb 2019 11:27:37 +0100

python-glance-store (0.26.1-3) unstable; urgency=medium

  * Add fix-python3-compatibility-ceph.patch
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 18:45:06 +0100

python-glance-store (0.26.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:08:33 +0200

python-glance-store (0.26.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python3 when building sphinx doc.
  * Do not run py3 tests because of https://bugs.python.org/issue33802.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 16:24:14 +0200

python-glance-store (0.23.0-3) unstable; urgency=medium

  * Python 3 now has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:24:20 +0000

python-glance-store (0.23.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:31 +0000

python-glance-store (0.23.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Watch file using github tag over HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 08:35:38 +0000

python-glance-store (0.22.0-2) unstable; urgency=medium

  * Only modify /etc/glance if files/dirs exist (Closes: #880087).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:13:46 +0000

python-glance-store (0.22.0-1) experimental; urgency=medium

  [ James Page ]
  * d/glance-store-common.*,control,glance_sudoers: Add binary package for
    shared rootwrap configuration, associated filters and sudoers.d
    configuration (LP: #1609733).

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Drop conf.py patch.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 11:22:04 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-boto (>= 2.32.1),
 python-cinderclient (>= 1:3.3.0),
 python-coverage,
 python-enum34,
 python-eventlet,
 python-fixtures (>= 1.3.1),
 python-gridfs,
 python-hacking (>= 0.10.0),
 python-httplib2,
 python-jsonschema (>= 2.0.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 1.2),
 python-os-brick (>= 2.2.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-oslotest (>= 1:3.2.0),
 python-pymongo,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-boto (>= 2.32.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet,
 python3-fixtures (>= 1.3.1),
 python3-gridfs,
 python3-httplib2,
 python3-jsonschema (>= 2.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python-cinderclient (>= 1:3.3.0),
 python-enum34,
 python-eventlet,
 python-httplib2,
 python-jsonschema (>= 2.0.0),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-os-brick (>= 2.2.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stevedore (>= 1.20.0),
 python-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Image Service store library - Python 2.7
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.7 module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema (>= 2.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb): Skip Py3.7 tests until the following is resolved: https://bugs.launchpad.net/bugs/1785641
	# Once fixed, just remove --no-py3
	pkgos-dh_auto_test --no-py3
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-glance-store 0.28.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-doc8>=0.6.0 # Apache-2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 six>=1.10.0 # MIT

=== debian/changelog ===
python-glance-store (0.28.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:23:40 +0200

python-glance-store (0.28.0-2) experimental; urgency=medium

  * Do not manage alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 11:36:05 +0100

python-glance-store (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-python3-compatibility-ceph.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:31:47 +0100

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto,
 python3-cinderclient,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-mock,
 python3-openstackdocstheme,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient,
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
